﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page 
{
    protected object EditedAppointmentID
    {
        get { return ViewState["EditedAppointmentID"]; }
        set { ViewState["EditedAppointmentID"] = value; }
    }


    protected void Page_Load(object sender, EventArgs e)
    {
        RadScheduler2.AppointmentUpdate += new AppointmentUpdateEventHandler(RadScheduler2_AppointmentUpdate);
        RadScheduler2.AppointmentCancelingEdit += new AppointmentCancelingEditEventHandler(RadScheduler2_AppointmentCancelingEdit);
        RadScheduler2.AppointmentInsert += new AppointmentInsertEventHandler(RadScheduler2_AppointmentInsert);
    }

    void RadScheduler2_AppointmentInsert(object sender, SchedulerCancelEventArgs e)
    {
        RadDock1.Closed = true;
    }

    void RadScheduler2_AppointmentCancelingEdit(object sender, AppointmentCancelingEditEventArgs e)
    {
        RadDock1.Closed = true;
    }

    void RadScheduler2_AppointmentUpdate(object sender, AppointmentUpdateEventArgs e)
    {
        RadDock1.Closed = true;
    }

    protected void RadScheduler1_FormCreating(object sender, SchedulerFormCreatingEventArgs e)
    {
        if (e.Mode == SchedulerFormMode.Insert || e.Mode == SchedulerFormMode.Edit)
        {
            EditedAppointmentID = e.Appointment.ID;
            e.Cancel = true;

            ScriptManager.RegisterStartupScript(this, GetType(), "formScript", "Sys.Application.add_load(openForm);", true);
            PopulateEditForm(e.Appointment, e.Mode);
        }
    }

    protected void PopulateEditForm(Appointment editedAppointment, SchedulerFormMode mode)
    {
        Appointment appointmentToEdit = RadScheduler1.PrepareToEdit(editedAppointment, RadScheduler1.EditingRecurringSeries);
        
        if (mode == SchedulerFormMode.Edit)
            RadScheduler2.ShowAdvancedEditForm(appointmentToEdit, RadScheduler1.EditingRecurringSeries);
        else
            RadScheduler2.ShowAdvancedInsertForm(appointmentToEdit.Start.Add(RadScheduler2.TimeZoneOffset));

    }
}
